play.templates

## Class GroovyTemplate

- java.lang.Object
- - play.templates.Template
  - - play.templates.BaseTemplate
    - - play.templates.GroovyTemplate

-     public class GroovyTemplate
      extends BaseTemplate

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroovyTemplate.ExecutableTemplate` Groovy template
    `static class` | `GroovyTemplate.TClassLoader`

    - ### Nested classes/interfaces inherited from class play.templates.BaseTemplate

      `BaseTemplate.RawData`

  - ### Field Summary

    - ### Fields inherited from class play.templates.BaseTemplate

      `compiledSource, compiledTemplate, compiledTemplateName, currentTemplate, doBodyLines, layout, layoutData, linesMatrix, timestamp`

    - ### Fields inherited from class play.templates.Template

      `name, source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyTemplate(java.lang.String source)`
    `GroovyTemplate(java.lang.String name, java.lang.String source)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Throwable` | `cleanStackTrace(java.lang.Throwable e)`
    `void` | `compile()`
    `protected java.lang.String` | `internalRender(java.util.Map<java.lang.String,java.lang.Object> args)` The internal rendering method - When one template calls another template, this method is used.
    `protected static boolean` | `isSimpleParam(java.lang.Class type)`
    `protected void` | `onCompileEnd()`
    `static <T> void` | `registerFormatter(java.lang.String format, SafeFormatter formatter)`
    `java.lang.String` | `render(java.util.Map<java.lang.String,java.lang.Object> args)` Starts the rendering process without modifying the args-map
    `protected groovy.lang.Binding` | `setUpBindingVariables(java.util.Map<java.lang.String,java.lang.Object> args)`
    `protected org.codehaus.groovy.control.CompilerConfiguration` | `setUpCompilerConfiguration()`

    - ### Methods inherited from class play.templates.BaseTemplate

      `loadFromCache, loadPrecompiled`

    - ### Methods inherited from class play.templates.Template

      `getName, render`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyTemplate

          public GroovyTemplate(java.lang.String name,
                                java.lang.String source)

    - #### GroovyTemplate

          public GroovyTemplate(java.lang.String source)

  - ### Method Detail

    - #### registerFormatter

          public static <T> void registerFormatter(java.lang.String format,
                                                   SafeFormatter formatter)

    - #### setUpCompilerConfiguration

          protected org.codehaus.groovy.control.CompilerConfiguration setUpCompilerConfiguration()

    - #### onCompileEnd

          protected void onCompileEnd()

    - #### compile

          public void compile()

      Specified by:
        `compile` in class `Template`

    - #### render

          public java.lang.String render(java.util.Map<java.lang.String,java.lang.Object> args)

      Description copied from class: `Template`
      Starts the rendering process without modifying the args-map
      Overrides:
        `render` in class `Template`
      Parameters:
        `args` - map containing data binding info
      Returns:
        the result of the complete rendering

    - #### setUpBindingVariables

          protected groovy.lang.Binding setUpBindingVariables(java.util.Map<java.lang.String,java.lang.Object> args)

    - #### internalRender

          protected java.lang.String internalRender(java.util.Map<java.lang.String,java.lang.Object> args)

      Description copied from class: `Template`
      The internal rendering method - When one template calls another template, this method is used. The input args-map is constantly being modified, as different templates "communicate" with each other by storing info in the map
      Specified by:
        `internalRender` in class `Template`
      Parameters:
        `args` - List of arguments use in render
      Returns:
        The template result as string

    - #### cleanStackTrace

          protected java.lang.Throwable cleanStackTrace(java.lang.Throwable e)

      Specified by:
        `cleanStackTrace` in class `BaseTemplate`

    - #### isSimpleParam

          protected static boolean isSimpleParam(java.lang.Class type)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly